var card = {
	actRs: {
		"otherInfo": {
			"compId": 0,
			"pubState": "",
			"playNum": 0,
			"signupState": false,
			"createTime": 0
		},
		"config": {
			"tplInfo": {
				"styleId": 0,
				"matchLogo": "",
				"matchBanner": "",
			},
			"matchInfo": {
				"compName": "",
				"description": "",
				"rules": "",
				"maxNum": 0,
				"contactName": "",
				"phone": "",
				"regBeginSecond": 0,
				"regEndSecond": 0,
				"compBeginSecond": 0,
				"compEndSecond": 0,
			}
		}
	},
	
	getBannerStyle(actRs) {
		const bannerUrl = actRs.config.tplInfo.matchBanner;
		console.log("[getBannerStyle] bannerUrl", bannerUrl);
		let style = "";
		if (bannerUrl.length > 0) {
			style = `background-image: url("${bannerUrl}");`;
		} else {
			style = `background-image: url("https://oss-mbh5.colormaprun.com/static/banner/banner1.png");`;
		}
		console.log("[getBannerStyle] style", style);
		return style;
	},
}

export default card;